import React from "react";
import ProjectCard from "../../ui/ProjectCard/ProjectCard";
import './Projects.sass';

class Projects extends React.Component {
  render() {
    return (<>
      <div className="Projects">
        <h2>Завершенные и в разработке</h2>

        <div className="Projects__List">
          <div className="Projects__List_Column">
            <ProjectCard 
              title="@kurumi: game bot" status="release"
              links={[{name: 'VK Group', url: 'https://vk.com/kb_gb', type: 'vk'}]}
            >
                Игровой бот для вашей беседы
            </ProjectCard>

            <ProjectCard 
              title="@yae miko: admin bot" status="development"
              links={[{name: 'VK Group', url: 'https://vk.com/ym_ab', type: 'vk'}, 
                      {name: 'VK App', url: 'https://vk.com/app8227711', type: 'vk'}]}
              stack={['python']}
            >
                Админ-бот для вашей беседы
            </ProjectCard>
          </div>

          <div className="Projects__List_Column">
            <ProjectCard 
              title="Genshin Private Server" status="release"
              links={[{name: 'Web', url: 'https://gi.nix13.pw', type: 'web'}]}
              stack={['java']}
            >
            </ProjectCard>
          </div>

          <div className="Projects__List_Column">
            <ProjectCard 
              title="Ignis Samurai" status="release"
              links={[{name: 'GitHub', url: 'https://github.com/Nix1304/Ignis-Samurai', type: 'github'}]}
              stack={['python']}
            >
            </ProjectCard>
          </div>
        </div>  
        <h2>Замороженные и брошенные</h2>

        <div className="Projects__List">
          <div className="Projects__List_Column">
            <ProjectCard
              title="Unmei" status="frozen"
              links={[{name: 'GitHub', url: 'https://github.com/unmei-site', type: 'github'}]}
              stack={['react', 'sass', 'go']}
            >
            </ProjectCard>
          </div>
          <div className="Projects__List_Column"></div>
          <div className="Projects__List_Column"></div>
        </div>
      </div>
    </>);
  }
}

export default Projects;